새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

에이전트 지식 문서 등록

POST
/v1/accounts/{accountId}/agents/{agentId}/knowledge

텍스트를 직접 등록하거나 텍스트 기반 파일을 업로드합니다. 등록 요청 안에서 텍스트 추출, 청킹과 임베딩을 완료하며 성공한 문서는 즉시 검색할 수 있습니다. 파일과 text를 동시에 보내지 마세요. 추출된 텍스트는 문서당 최대 200,000자입니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

agentId*string

에이전트 ID

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/accounts/string/agents/string/knowledge" \  -H "Content-Type: application/json" \  -d '{    "text": "환불은 결제일로부터 7일 이내에 요청할 수 있습니다."  }'
{
  "documentId": "string",
  "title": "string",
  "sourceType": "text",
  "status": "ready",
  "charCount": 0,
  "chunkCount": 0,
  "embeddingModel": "string",
  "dateCreated": "2019-08-24T14:15:22Z",
  "dateUpdated": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}